summarylogtreecommitdiffstats
path: root/compiz-bzr.install
diff options
context:
space:
mode:
Diffstat (limited to 'compiz-bzr.install')
-rw-r--r--compiz-bzr.install29
1 files changed, 29 insertions, 0 deletions
diff --git a/compiz-bzr.install b/compiz-bzr.install
new file mode 100644
index 000000000000..08879b2fa042
--- /dev/null
+++ b/compiz-bzr.install
@@ -0,0 +1,29 @@
+post_install() {
+ echo " -> Updating icon cache..."
+ gtk-update-icon-cache -q -f -t /usr/share/icons/hicolor
+ echo " -> Updating XDG menu database..."
+ update-desktop-database -q
+
+ ls usr/share/glib-2.0/schemas 2>/dev/null | grep -qm1 org.compiz
+ if [ $? -eq 0 ]; then
+ echo " -> Recompiling the GSettings database... "
+ glib-compile-schemas usr/share/glib-2.0/schemas
+ fi
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+post_remove() {
+ echo " -> Updating icon cache..."
+ gtk-update-icon-cache -q -f -t /usr/share/icons/hicolor
+ echo " -> Updating XDG menu database..."
+ update-desktop-database -q
+
+ if [ -d /usr/share/glib-2.0/schemas ]; then
+ echo " -> Recompiling the GSettings database... "
+ glib-compile-schemas usr/share/glib-2.0/schemas
+ fi
+}
+